<?php

/*
Plugin Name:  DWP Post Counter
Version    :  1.0
Description:  Erfassen, wie oft ein Artikel aufgerufen wurde und in der Artikelübersicht anzeigen.
Author     :  Frank Noack
Author URI :  https://nerdies24.de
License    :  GPLv2 or later
License URI:  https://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  dwp-post-counter
*/

//=================================================
// Security: Abort if this file is called directly
//=================================================
if ( !defined('ABSPATH') ) { 
    die;
}

//=================================================
// COUNTER WIE OFT EIN ARTIKEL ANGEZEIGT WURDE
//=================================================
add_filter('wp_head', 'postviews');

function get_post_views($post_id = NULL) {
	global $post;
	if ($post_id == NULL)
		$post_id = $post -> ID;
	if (!empty($post_id)) {
		$views_key = 'wpds_post_views';
		$views = get_post_meta($post_id, $views_key, true);
		if (empty($views) || !is_numeric($views)) {
			delete_post_meta($post_id, $views_key);
			add_post_meta($post_id, $views_key, '0');
			return "bisher nicht aufgerufen";
		} else if ($views == 1)
			return "1 mal aufgerufen";
		return $views.
		' mal aufgerufen';
	}
}

function postviews() {
	global $post;

	if (is_singular()) {
		$views_key = 'wpds_post_views';
		$views = get_post_meta($post -> ID, $views_key, true);
		if (empty($views) || !is_numeric($views)) {
			delete_post_meta($post -> ID, $views_key);
			add_post_meta($post -> ID, $views_key, '1');
		} else {}
		update_post_meta($post -> ID, $views_key, ++$views);
	}
}
add_filter('manage_posts_columns', 'posts_column_views');
add_action('manage_posts_custom_column', 'posts_custom_column_views', 5, 2);

function posts_column_views($defaults) {
	$defaults['post_views'] = __('Aufrufe');
	return $defaults;
}

function posts_custom_column_views($column_name, $id) {
	if ($column_name === 'post_views')
		echo get_post_views(get_the_ID());
}